Retrieves the user_skill_list object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_skill_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| user_id |
Foreign key to user |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_skill_list |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_skill_list |
user |
Optionally required : user_id, user_code or user must be provided |
| skill_id |
Foreign key to skill |
globally unique identifier |
Optionally required : skill_id, skill_code or skill must be provided |
| skill_code |
Embedded entity "skill" using ERP PK when adding/updating user_skill_list |
string |
Optionally required : skill_id, skill_code or skill must be provided |
| skill |
Embedded entity "skill" using node when adding/updating user_skill_list |
skill |
Optionally required : skill_id, skill_code or skill must be provided |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "35f4bc10-07ae-414b-bdae-302a2b4a91cd",
"user_id": "83f87773-8240-4cc4-bd22-0169b8665ace",
"user_code": "sample string 3",
"user": {
"id": "98c6f2c5-b4b8-4471-a539-f05224f6fa79",
"db_language_id": "19e496ee-5a17-4c07-b967-c012db8ddc65",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-03-03T05:15:25.2984592+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "8a51e7c1-8fb9-4a93-834c-e2f6e0e1abbb",
"sales_organization": {
"id": "33ecd3db-6d76-49b6-b5d3-986fd7824a6c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "f75c210d-0e70-4ef1-aee5-708d2358854f",
"db_currency_id": "978424c6-7a51-4922-bb0c-0f06372492ef",
"db_language_id": "55bc9ecd-a66c-4edc-975d-7a1e5f7db37b",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-03-03T05:15:25.3140871+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "bb01becf-a3e7-4810-8a28-d562d33f0f66",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "33f5904a-e19d-45f5-b215-bb2a3426591d",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-03-03T05:15:25.3140871+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "a189e718-9690-47be-8256-6d654a5ebdb9"
},
"skill_id": "5b5ef405-7847-4542-ac38-501b59270817",
"skill_code": "sample string 5",
"skill": {
"id": "8e6ad117-a9be-43bd-982c-854a824be369",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "3e971f35-a3f4-4ea7-a166-ac10f0210445",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "33ecd3db-6d76-49b6-b5d3-986fd7824a6c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "f75c210d-0e70-4ef1-aee5-708d2358854f",
"db_currency_id": "978424c6-7a51-4922-bb0c-0f06372492ef",
"db_language_id": "55bc9ecd-a66c-4edc-975d-7a1e5f7db37b",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-03-03T05:15:25.3140871+00:00"
},
"modified_dateutc": "2026-03-03T05:15:25.3140871+00:00"
},
"reference_back_office": "sample string 6",
"modified_dateutc": "2026-03-03T05:15:25.3140871+00:00"
}